# Refresh prices

Source: https://holofolder.com/app/docs/reference/prices-and-insights/refresh-prices

POST https://app.holofolder.com/app/api/v1/prices/refresh

OpenAPI operation (parameters, authentication, request body and responses):

```json
{
  "operationId": "refresh_prices",
  "summary": "Refresh prices",
  "description": "Refresh a bounded batch of card prices with existing provider cooldowns.\n\nRequired permissions: `prices:refresh`. MCP tool: `refresh_prices`.",
  "tags": [
    "Prices and insights"
  ],
  "security": [
    {
      "apiKey": []
    }
  ],
  "parameters": [],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "$schema": "https://json-schema.org/draft/2020-12/schema",
          "type": "object",
          "properties": {
            "cards": {
              "minItems": 1,
              "maxItems": 5,
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "cardId": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 200
                  },
                  "language": {
                    "type": "string",
                    "enum": [
                      "en",
                      "fr",
                      "de",
                      "es",
                      "it",
                      "pt-br",
                      "ja",
                      "ko"
                    ]
                  }
                },
                "required": [
                  "cardId"
                ],
                "additionalProperties": false
              }
            }
          },
          "required": [
            "cards"
          ],
          "additionalProperties": false
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Success"
    },
    "400": {
      "description": "See the API conventions page."
    },
    "401": {
      "description": "See the API conventions page."
    },
    "402": {
      "description": "See the API conventions page."
    },
    "403": {
      "description": "See the API conventions page."
    },
    "404": {
      "description": "See the API conventions page."
    },
    "409": {
      "description": "See the API conventions page."
    },
    "413": {
      "description": "See the API conventions page."
    },
    "422": {
      "description": "See the API conventions page."
    },
    "429": {
      "description": "See the API conventions page."
    },
    "503": {
      "description": "See the API conventions page."
    }
  }
}
```
